package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

@TableName("drp_production_purchase_order")
@ApiModel(
   description = "生产计划采购计划采购订单关联表"
)
public class DrpProductionPurchaseOrder implements Serializable {
   private static final long serialVersionUID = 228530795608706932L;
   @TableId
   private Long id;
   private String productionPlanId;
   private String planId;
   private String orderGoodsId;
   private Integer orderType;

   public Long getId() {
      return this.id;
   }

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public String getPlanId() {
      return this.planId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Integer getOrderType() {
      return this.orderType;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
   }

   public void setPlanId(final String planId) {
      this.planId = planId;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setOrderType(final Integer orderType) {
      this.orderType = orderType;
   }
}
